curl --request GET \
--url https://hg.cash/api/v1/ve/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/ve/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/ve/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/ve/banks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/ve/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/ve/banks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/ve/banks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"country": {
"pais": "VE",
"moneda": "VES",
"banks": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"accountTypes": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"documentTypes": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"nombre": "<string>",
"phoneCode": {
"value": "<string>",
"label": "<string>",
"id": 123
}
},
"onramp": {
"currency": "VES",
"total": 123,
"banks": [
{
"name": "<string>",
"id": 123
}
]
}
}{
"error": "The payment provider is not configured.",
"code": "VE_BANKS_PROVIDER_NOT_CONFIGURED",
"type": "provider_error"
}{
"error": "Unable to fetch banks from the payment provider.",
"code": "VE_BANKS_PROVIDER_ERROR",
"type": "provider_error"
}Listar bancos (Venezuela)
Retorna o catálogo vigente da Venezuela. Não é uma lista fixa.
country inclui pais, nombre, moneda, banks, accountTypes, documentTypes e phoneCode.
Os itens do catálogo são {value, label}.
Os itens de onramp.banks são {id, name}. O bancoPago do cash-in deve coincidir exatamente com name.
O payout envia banco, tipoCuenta e tipoDocumento como o value do catálogo. Rótulos em texto são aceitos por compatibilidade.
Se o catálogo não estiver configurado, a API retorna 500 com code: VE_BANKS_PROVIDER_NOT_CONFIGURED.
Uma falha ao buscar o catálogo retorna 502 com code: VE_BANKS_PROVIDER_ERROR.
curl --request GET \
--url https://hg.cash/api/v1/ve/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/ve/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/ve/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/ve/banks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/ve/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/ve/banks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/ve/banks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"country": {
"pais": "VE",
"moneda": "VES",
"banks": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"accountTypes": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"documentTypes": [
{
"value": "<string>",
"label": "<string>",
"id": 123
}
],
"nombre": "<string>",
"phoneCode": {
"value": "<string>",
"label": "<string>",
"id": 123
}
},
"onramp": {
"currency": "VES",
"total": 123,
"banks": [
{
"name": "<string>",
"id": 123
}
]
}
}{
"error": "The payment provider is not configured.",
"code": "VE_BANKS_PROVIDER_NOT_CONFIGURED",
"type": "provider_error"
}{
"error": "Unable to fetch banks from the payment provider.",
"code": "VE_BANKS_PROVIDER_ERROR",
"type": "provider_error"
}Autorizações
Token de autenticação da API do usuário com o formato cash_<64-char-hex>. Valor de exemplo cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.

